## pwnat 0.3.0

=== Makefile ===
#
# Project: udptunnel
# File: Makefile
#
# Copyright (C) 2009 Daniel Meekins
# Contact: dmeekins - gmail
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Uncomment appropriate one for the system this is compiling for
OS=LINUX
#OS=SOLARIS
#OS=CYGWIN

CC=gcc
CFLAGS=-Wall -Wshadow -Wpointer-arith -Wwrite-strings -D ${OS}

ifeq (${OS}, SOLARIS)
LDFLAGS=-lnsl -lsocket -lresolv
endif

all: pwnat

#
# Main program
#
OBJS=socket.o message.o strlcpy.o client.o packet.o list.o destination.o udpserver.o udpclient.o 
pwnat: pwnat.c ${OBJS}
	${CC} ${CFLAGS} -o pwnat pwnat.c ${OBJS} ${LDFLAGS}

#
# Supporting code
#
strlcpy.o: strlcpy.c common.h
packet.o: packet.c packet.h common.h
list.o: list.c list.h common.h
socket.o: socket.c socket.h common.h
client.o: client.c client.h common.h
message.o: message.c message.h common.h
destination.o: destination.c destination.h
udpclient.o: udpclient.c packet.h list.h socket.h client.h message.h common.h
udpserver.o: udpserver.c packet.h list.h socket.h client.h message.h destination.h common.h

#
# Clean compiled and temporary files
#
clean:
ifeq (${OS}, CYGWIN)
	rm -f pwnat.exe
else
	rm -f pwnat 
endif
	rm -f *~ *.o

## pwnat 0.3-beta+git20140908

=== debian/changelog ===
pwnat (0.3-beta+git20140908-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:18:06 +0200

pwnat (0.3-beta+git20140908-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use debhelper-compat 13 and bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Jan 2021 11:28:57 +0100

pwnat (0.3-beta+git20140908-0kali1) kali-dev; urgency=medium

  * Import upstream release

 -- Sophie Brun <sophie@freexian.com>  Wed, 17 Aug 2016 16:15:54 +0200

pwnat (0.3-beta-1kali0) kali; urgency=low

  * Initial release 

 -- Devon Kearns <dookie@kali.org>  Tue, 01 Jan 2013 08:38:42 -0700

=== debian/control ===
Source: pwnat
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: http://samy.pl/pwnat/

Package: pwnat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NAT to NAT client-server communication
 pwnat, pronounced "poe-nat", is a tool that allows any
 number of clients behind NATs to communicate with a
 server behind a separate NAT with *no* port forwarding
 and *no* DMZ setup on any routers in order to directly
 communicate with each other. The server does not need
 to know anything about the clients trying to connect.

## pwnat 0.3.0

=== debian/changelog ===
pwnat (0.3.0-0kali2) kali-dev; urgency=medium

  * Re-upload to use source pwnat_0.3.0.orig.tar.gz already in kali

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 01 Apr 2025 14:46:12 +0200

pwnat (0.3.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Add RFP bugs in 0.3-beta-1kali0.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * New upstream version 0.3.0
  * Generate and install manpage
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Mar 2025 14:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: pwnat
 Section: utils
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
-Homepage: http://samy.pl/pwnat/
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Devon Kearns <dookie@kali.org>,
+           Sophie Brun <sophie@offensive-security.com>,
+Build-Depends: debhelper-compat (= 13),
+               txt2man
+Standards-Version: 4.7.0
+Homepage: https://samy.pl/pwnat/
+Vcs-Git: https://gitlab.com/kalilinux/packages/pwnat.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/pwnat
 
 Package: pwnat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

execute_before_dh_installman:
	txt2man -P pwnat -s 1 manpage.txt >$(CURDIR)/pwnat.1

execute_after_dh_auto_clean:
	rm -f $(CURDIR)/pwnat.1

=== debian/watch ===
version=4
opts="filenamemangle=s/v?(\d[\d.]*)\.tar\.gz/pwnat-$1.tar.gz/" \
https://github.com/samyk/pwnat/tags .*/v?(\d[\d.]*)\.tar\.gz
